be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1

## Class AcknowledgmentType

- java.lang.Object
- - be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1.AcknowledgmentType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2023-04-04T03:00:54+02:00",
                 comments="JAXB RI v2.3.7")
      public class AcknowledgmentType
      extends Object
      implements Serializable

  to specify the type of acknowledgment that is desired by the sender

  Java class for acknowledgmentType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="acknowledgmentType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="cd" type="{http://www.ehealth.fgov.be/standards/kmehr/cd/v1}CD-ACKNOWLEDGMENT"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AcknowledgmentType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CDACKNOWLEDGMENT` | `getCd()` Gets the value of the cd property.
    `void` | `setCd(CDACKNOWLEDGMENT value)` Sets the value of the cd property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AcknowledgmentType

          public AcknowledgmentType()

  - ### Method Detail

    - #### getCd

          public CDACKNOWLEDGMENT getCd()

      Gets the value of the cd property.
      Returns:
        possible object is `CDACKNOWLEDGMENT`

    - #### setCd

          public void setCd(CDACKNOWLEDGMENT value)

      Sets the value of the cd property.
      Parameters:
        `value` - allowed object is `CDACKNOWLEDGMENT`

Connector Packaging TRUSSMAKER 4.3.0 API
Copyright © {inceptionYear}-2023 eHealth. All Rights Reserved.